[ovs-dev] [PATCH 1/2] travis: Include testsuite.log on failure.

Ben Pfaff blp at nicira.com
Fri Sep 19 20:09:58 UTC 2014


CC: Thomas Graf <tgraf at noironetworks.com>
Signed-off-by: Ben Pfaff <blp at nicira.com>
---
 .travis/build.sh |    8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/.travis/build.sh b/.travis/build.sh
index 0a23969..db7a3d3 100755
--- a/.travis/build.sh
+++ b/.travis/build.sh
@@ -52,7 +52,13 @@ if [ $CC = "clang" ]; then
     make CFLAGS="$CFLAGS -Wno-error=unused-command-line-argument"
 else
     make CFLAGS="$CFLAGS" C=1
-    [ "$TESTSUITE" ] && make distcheck
+    if [ $TESTSUITE ]; then
+        if ! make distcheck; then
+            # testsuite.log is necessary for debugging.
+            cat */_build/tests/testsuite.log
+            exit 1
+        fi
+    fi
 fi
 
 exit 0
-- 
1.7.10.4




More information about the dev mailing list